--[[ 
"WTF? BOOM!"
Version 1.1
script by Kiffer-Opa, sound by some unknown person
Description: 
If you load this script, following happens:
If the bomb timer reaches 1 second, a voice shouting "What da fuck?!" is heard, and if the bomb is detonating a loud voice shouting "BOOOOOOOOOOOOOOOOM!" and laughter is heard. It is based on the popular "WTF BOOM" meme.
Usage:
To use this script, load it for example via the Lua command "dofile", for example, write in sys/lua/server.lua:
	dofile("sys/lua/wtfboom.lua")
Then you need to add following lines into the file sys/servertransfer.lst:
	sfx/wtfboom/wtf.ogg
	sfx/wtfboom/boom.ogg
If you forget the 2nd step, the clients don't download the sounds from your server and won't hear the sounds unless they got the sounds from another server.
]]

if wtfboom == nil then wtfboom = {} end

wtfboom.wtfoffset = 900

wtfboom.sfx = {}
wtfboom.sfx.wtf = "wtfboom/wtf.ogg"
wtfboom.sfx.boom = "wtfboom/boom.ogg"

wtfboom.round = 0

function wtfboom.isbombplanted()
	return game("bombplanted")
end

function wtfboom.startround(mode)
	wtfboom.round = wtfboom.round + 1
end
addhook("startround","wtfboom.startround")

function wtfboom.bombplant(playerID,x,y)
	local totalbombtime = tonumber(game("mp_c4timer"))*1000
	timer(totalbombtime-wtfboom.wtfoffset, "wtfboom.wtfsound", tostring(wtfboom.round))
	return 0
end
addhook("bombplant","wtfboom.bombplant")

function wtfboom.wtfsound(round_str)
	local round = tonumber(round_str)
	if(wtfboom.isbombplanted()==true and round == wtfboom.round) then
		parse('sv_sound "'..wtfboom.sfx.wtf..'"')
	end
end

function wtfboom.boomsound()
	parse('sv_sound "'..wtfboom.sfx.boom..'"')
end

function wtfboom.bombexplode(playerID,x,y)
	wtfboom.boomsound()
	return 0
end
addhook("bombexplode","wtfboom.bombexplode")

